PHP Manual
Prev |  | Next

# SWFMovie->setRate()

(no version information, might be only in CVS)

SWFMovie->setRate() -- Sets the animation's frame rate

## Description

class SWFMovie {
void setRate ( int rate )
}

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Sets the frame rate to the specified `rate`.

Animation will slow down if the player can't render frames fast enough- unless there's a streaming sound, in which case display frames are sacrificed to keep sound from skipping.

## Parameters

`rate`

  The frame rate, in frame per seconds.

## Return Values

No value is returned.

Prev | Home | Next
SWFMovie->setFrames() | Up | SWFMovie->startSound()